#!/bin/bash

if [[ $# -ne 5 ]]; then
  echo "full_repro_loop.sh exp1 exp2 yeara yearb num_members"
  echo "Example:"
  echo "full_repro_loop.sh a3ko a3kp 1990 1990 5"
  exit
fi

#
exp1=$1
exp2=$2
yeara=$3
yearb=$4
nmemb=$5

mkdir -p logs

# PREPROCESS
for member in $(seq 0 $((${nmemb}-1))); do
	./preprocess.sh ${exp1} fc0${member} ${yeara} ${yearb} >& logs/log_prpr_${exp1}_fc0${member} &
	./preprocess.sh ${exp2} fc0${member} ${yeara} ${yearb} >& logs/log_prpr_${exp2}_fc0${member} &
done

wait

# POSTPROCESS
for member in $(seq 0 $((${nmemb}-1))); do
        ./postprocess.sh ${exp1} fc0${member} ${yeara} ${yearb} >& logs/log_postpr_${exp1}_fc0${member} &
        ./postprocess.sh ${exp2} fc0${member} ${yeara} ${yearb} >& logs/log_postpr_${exp2}_fc0${member} &
done

wait

# SCORES
for member in $(seq 0 $((${nmemb}-1)));  do
	./scores.sh ${exp1} fc0${member} ${yeara} ${yearb} >& logs/log_scores_${exp1}_fc0${member} &
	./scores.sh ${exp2} fc0${member} ${yeara} ${yearb} >& logs/log_scores_${exp2}_fc0${member} &
done

wait

# ENSEMBLE
./ensemble.sh ${exp1} ${yeara} ${yearb} >& logs/log_ensemble_${exp1} &
./ensemble.sh ${exp2} ${yeara} ${yearb} >& logs/log_ensemble_${exp2} &

wait

# COMPARE
./compare.sh ${exp1} ${exp2} ${yeara} ${yearb} ${nmemb} >& logs/log_compare_${exp1}_${exp2}

# Convert plots to PDF
./convert_and_merge_to_pdf.sh ${exp1} ${exp2}
